#!/bin/sh

if [ `id -u` -eq 0 ]; then
    echo "It is not safe to run this program as root. Exiting." >&2
    exit 1
fi

PROG="orbitaweb"

CONFIG="/etc/orbitaweb.conf"

. "$CONFIG"

if [ -z "$BPMDATA" ]; then
    echo "BPMDATA not set in $CONFIG" >&2
    exit 1
fi

if [ -z "$IMGDIR" ]; then
    echo "IMGDIR not set in $CONFIG" >&2
    exit 1
fi

cd $IMGDIR || exit $?

PID=$(pidof orbitaweb)
if [ -n "$PID" ]; then
    echo "$PROG already running as pid $PID, exiting"
    exit 1
fi

# run as daemon
exec orbitaweb "$BPMDATA/orbita.csv" -d
